.text {
    @each $name, $family in $font-families {
        &-#{$name} {
            font-family: $family;
        }
    }

    &\:hover-dark-blue:hover {
        color: map-get($colors, 'dark-blue');
    }
}

@each $className, $property in ('bg': 'background-color', 'text': 'color') {
    @each $name, $color in $colors {
        .#{$className} {
            &-#{$name} {
                #{$property}: $color;
            }
        }
    }
}

.h {
    &-50 {
        height: 50%;
    }
    &-100 {
        height: 100%;
    }
}

.font {
    &-weight {
        font-weight: bold;
    }

    &-size {
        @each $size in (1, 2, 3) {
            &-#{$size} {
                font-size: #{$size}rem;
            }
        }

        &-sm {
            font-size: 13px;
        }

        &-1-25 {
            font-size: 1.25rem;
        }
    }
}

@each $type in ('wrap', 'nowrap') {
    .white-space\:#{$type} {
        white-space: #{$type};
    }
}

@each $type in ('cover', 'contain', 'fill') {
    .object-fit\:#{$type} {
        object-fit: #{$type};
    }
}

.cursor-pointer {
    cursor: pointer;
}

@each $percent in (50, 100, 30) {
    .opacity-#{$percent} {
        opacity: $percent / 100;
    }
}

@each $size in (1, 2, 3, 4, 10, 50, 1000) {
    .z-index-#{$size} {
        z-index: $size;
    }
}

.fs {
    @each $size in (12, 14, 16, 18, 24, 32, 36, 38) {
        &-#{$size} {
            font-size: $size + px;
        }
    }
}

.flex-center {
    justify-content: center;
    align-items: center;
}

.overlay-link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
}
